Skip to content
POST /unified/crm/contacts/batch-delete

Query Parameters

Refer Specifying query parameters in Truto APIs

idarray

The contact's unique identifier

2 supported1 required
Salesforce
required
HubSpot
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

idarray
required·

The contact's unique identifier

2 supported1 required
HubSpot
required
Salesforce
supported
remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

Response Body

idstring
required·

The contact's unique identifier

2 supported
HubSpot
supported
Salesforce
supported
accountobject

The contact's account

References: Accounts → id
idstring

The account's unique identifier

namestring

The account's name

addressesobject[]
citystring

The city

countrystring

The country

idstring

The unique identifier of the address

postal_codestring

The postal code

statestring

The state

street_1string

Line 1 of the street address

street_2string

Line 2 of the street address

typestring

The address type

created_atstring · date-time

The date and time of the contact's creation

custom_fieldsRecord<string, any>

All the custom fields present on the contact

email_addressesobject[]
emailstring

The email address

idstring

The unique identifier of the email addresses

typestring

The email address type

etagstring

The unique identifier for the specific version of the resource.

first_namestring

The contact's first name

last_activity_atstring · date-time

The date and time of the contact's last activity

last_namestring

The contact's last name

namestring

The contact's full name

ownerobject

The account's owner

idstring

The owner's unique identifier

phone_numbersobject[]
extensionstring

The extension of the phone number

idstring

The unique identifier of the phone number

numberstring

The phone number

typestring

The phone number type

remote_dataRecord<string, any>

Raw data returned from the remote API call.

tagsobject[]

The contact's tags

idstring

The tag's unique identifier

namestring

The tag's name

titlestring

The contact's job title

updated_atstring · date-time

The date and time of the contact's last update

urlsobject[]

The contact's urls

typestring

The contact's URL type

urlstring

The contact's URL

curl -X POST 'https://api.truto.one/unified/crm/contacts/batch-delete?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "id": [],
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "id": [],
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/crm/contacts/batch-delete?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/crm/contacts/batch-delete"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "id": [],
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

// Custom method: batch-delete
const result = await truto.unifiedApi.batch-delete(
  'crm',
  'contacts',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    # Custom method: batch-delete
    result = await truto_api.unified_api.batch-delete(
        "crm",
        "contacts",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())